#
# spec file for package perl-Test-Without-Module
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Test-Without-Module
Name:           perl-Test-Without-Module
Version:        0.230.0
Release:        1.1
# 0.23 -> normalize -> 0.230.0
%define cpan_version 0.23
License:        Artistic-2.0
Summary:        Test fallback behaviour in absence of modules
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/C/CO/CORION/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(Test::Without::Module) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module allows you to deliberately hide modules from a program even
though they are installed. This is mostly useful for testing modules that
have a fallback when a certain dependency module is not installed.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README README.mkdn
%license LICENSE

%changelog
* Mon Jul 15 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.230.0 (0.23)
  see /usr/share/doc/packages/perl-Test-Without-Module/Changes
  0.23 2024-07-14
  - Lower minimum required Perl version back to 5.006, this addresses GH #5
* Sat Jul  6 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.220.0 (0.22)
  see /usr/share/doc/packages/perl-Test-Without-Module/Changes
  0.22 2024-07-05
  - Fix test suite to not skip a failing test
* Sun Dec 11 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.21
  see /usr/share/doc/packages/perl-Test-Without-Module/Changes
* Mon Apr 10 2017 coolo@suse.com
- updated to 0.20
  see /usr/share/doc/packages/perl-Test-Without-Module/Changes
* Fri Mar 31 2017 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-Test-Without-Module/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-Test-Without-Module/Changes
* Mon Aug  5 2013 coolo@suse.com
- regenerate with current template
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jul 25 2010 pascal.bleser@opensuse.org
- initial version (0.17)
